## netams 3.4.3+dfsg1

=== Makefile ===
#*************************************************************************
#***     Authentication, authorization, accounting + firewalling package
#***     Copyright 1998-2002 Anton Vinokurov <anton@netams.com>
#***     Copyright 2002-2008 NeTAMS Development Team
#***     This code is GPL v3
#***     For latest version and more info, visit this project web page
#***     located at http://www.netams.com
#***
#*************************************************************************/
#/* $Id: Makefile,v 1.98 2009-08-01 09:23:54 anton Exp $ */

RELEASE=3.4.3

include Rules.make

#Optional for profiler support
#LIB += -pg -static -lssl -lm -lintl -lz -liconv
#FLAGS += -pg 
#

all: config lib
	cd src && make all

config:
	sh configure.sh

distclean: clean
	rm Rules.make; touch Rules.make; rm -rf *.[0-9] ; 

lib: config
	cd lib && make library
	
clean:
	cd lib && make cleanlibrary
	cd src && make clean

webinstall: 
	$(INSTALL) -d -m 755 $(PATH_TO_WWW)/cgi-bin/admin $(PATH_TO_WWW)/stat $(PATH_TO_WWW)/images 
	$(INSTALL) -m 755 cgi-bin/*.cgi cgi-bin/*.pl cgi-bin/*.tmpl cgi-bin/*.res $(PATH_TO_WWW)/cgi-bin
	$(INSTALL) -m 755 cgi-bin/admin/*.cgi cgi-bin/admin/*.tmpl cgi-bin/admin/*.res $(PATH_TO_WWW)/cgi-bin/admin
	$(INSTALL) -m 644 cgi-bin/admin/.htaccess $(PATH_TO_WWW)/cgi-bin/admin
	$(INSTALL) -m 644 cgi-bin/images/*.gif cgi-bin/images/*.jpg $(PATH_TO_WWW)/images
	$(INSTALL) -m 644 addon/index.html $(PATH_TO_WWW)
	$(INSTALL) -m 644 addon/netams-apache $(PATH_TO_ETC)/netams-apache

install: all webinstall
	$(INSTALL) src/netams $(DAEMONDIR)
	cd src ; $(INSTALL) $(PROG) $(SBINDIR) ; cd ..
	$(INSTALL) -d -m 644 $(MANDIR)/man8
	$(INSTALL) -m 644 doc/*.8 $(MANDIR)/man8
	$(INSTALL) -m 644 addon/netams.conf $(PATH_TO_ETC)/netams.conf.sample
	$(INSTALL) -m 644 addon/.netamsctl.rc $(PATH_TO_ETC)/.netamsctl.rc
	$(INSTALL) -m 644 addon/ru-networks.txt $(PATH_TO_ETC)/ru-networks.txt.sample
	$(INSTALL) -m 644 addon/ua-networks.txt $(PATH_TO_ETC)/ua-networks.txt.sample
	sed -e "s#DAEMONDIR#$(DAEMONDIR)#g" -e "s#PATH_TO_ETC#$(PATH_TO_ETC)#g" addon/$(STARTUP_SCRIPT) > /tmp/netams-startup.sh 
	$(INSTALL) -m 755 /tmp/netams-startup.sh $(PATH_TO_SCRIPTS)/$(STARTUP_SCRIPT)
	rm -f /tmp/netams-startup.sh
	@echo
	@echo "PLEASE READ THE DOCUMENTATION FIRST!"
	@echo "http://www.netams.com/"
	@echo

distrib:
	rm -rf TEMP; mkdir TEMP; mkdir TEMP/netams-$(RELEASE)  
	cp -Rp src doc lib cgi-bin Makefile GPL configure.sh Rules.make INSTALL addon TEMP/netams-$(RELEASE)  
	cd TEMP ; find . -type f -exec dos2unix -p {} \; 
	cp -Rp cgi-bin/images TEMP/netams-$(RELEASE)/cgi-bin  
	cd TEMP ; tar -z -c -v --exclude *CVS*  --exclude *.o --exclude *.bak --exclude *~  \
	 --exclude .cvs* -f ../netams-$(RELEASE).tar.gz netams-$(RELEASE) 
	rm -rf TEMP
