=== debian/changelog ===
netams (3.4.3+dfsg1-3build1) lucid; urgency=low

  * Rebuild for libmysqlclient transition.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Apr 2010 22:19:22 -0400

netams (3.4.3+dfsg1-3) unstable; urgency=low

  * debian/copyright: add more details about sources of some part of the
    code.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 26 Nov 2009 02:08:19 +0300

netams (3.4.3+dfsg1-2) unstable; urgency=low

  * Fix escape issues in netams.postinst.
  * Switch to dpkg v3 format (quilt).
  * Standards version updated (no changes).

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 24 Nov 2009 14:46:14 +0300

netams (3.4.3+dfsg1-1) unstable; urgency=low

  * Imported Upstream version 3.4.3
  * Clean out Cisco's code with unknown license. Replaced with code from
    flow flow-tools upstream sources repackaged with +dfsg1.
  * Deleted debian/stamp-autotools-files. This is garbage.
  * Removed 15_fix_warnings.dpatch and 16_wipe_openssl.dpatch. Fixed
    upstream.
  * Switched from dpatch to quilt.
  * 02_remove_lcrypto.diff added: do not link with crypto.
  * debian/watch modified to handle mangled (+dfsg) package version.
  * Patches annotated according to DEP-3.
  * Upload to Debian (Closes: #496636).

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 23 Nov 2009 15:33:00 +0300

netams (3.4.2c-3) unstable; urgency=low

  * Turn off PostgreSQL support, because libpq links with OpenSSL.
  * debian/rules: don't overwrite (restore on clean) upstream's
    versions_build.c
  * Increase standards version, no changes needed.
  * Update my e-mail address.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 05 Jul 2009 18:46:47 +0400

netams (3.4.2c-2) unstable; urgency=low

  * Add debian/patches/16_wipe_openssl.dpatch, to build netams without OpenSSL.
  * debian/control: build-depend on debhelper (>=7.0.0) as in debian/compat.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Sun, 05 Jul 2009 00:17:52 +0400

netams (3.4.2c-1) unstable; urgency=low

  * Imported Upstream version 3.4.2c
  * debian/patches updated to new verion.
  * debian/rules: not removing version....c
  * debian/rules: chmod 644 on examples.
  * debian/copyright: typo fixed.
  * README.Debian: spelling fixed, thanks goes to lintian's authors.
  * netams.config: remove seen flag from password on exit.
  * netams.init.d: print final dot on reopen-logs.
  * 15_fix_warnings.dpatch added: fix multiple build warnings.
  * 15_fix_warnings.dpatch: patch description added.
  * debian/control: bump standard's version: netams-dbg goes to devel.
  * debian/control: fix "package-lacks-versioned-build-depends-on-debhelper 7".
  * debian/control: fix "debhelper-but-no-misc-depends netams-dbg".

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Mon, 25 May 2009 21:19:03 +0400

netams (3.4.2~cvs20090103-1) unstable; urgency=low

  * Initial Release.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Sat, 10 Jan 2009 02:56:44 +0300
