=== debian/control ===
Source: netams
Section: net
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 7.0.0), libmysqlclient-dev, libnetfilter-queue-dev, libpcap0.8-dev, cdbs, po-debconf, libglib2.0-dev
Standards-Version: 3.8.3
Homepage: http://www.netams.com
Vcs-Git: git://git.gq.net.ru/netams.git
Vcs-Browser: http://git.gq.net.ru/?p=netams.git

Package: netams
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbconfig-common, lsb-base, dbconfig-common, lsb-base
Recommends: netams-web, apache2|lighttpd|httpd
Suggests: mysql-server|postgresql
Description: Network Traffic Accounting and Monitoring Software
 NeTAMS stands for Network Traffic Accounting and Monitoring Software.
 It is built for UNIX and works for networks with Cisco routers or PC Unix
 routers (Linux/FreeBSD/Solaris). Several methods of traffic gathering are
 supported (tee/divert/ip_queue/libpcap/ulog/netflow v5 and v9/netgraph),
 database storage (BerkleyDB/MySQL/PostgresSQL/Oracle/Radius), aggregation,
 visualization, notification etc. It is possible to block traffic based on
 quotas, web authorization, account balance (billing); manage bandwidth, MAC
 assignmant violations, RADIUS services, create a flexible accounting and
 filtering policies.
 .
 This package contains netams daemon.

Package: netams-dbg
Architecture: any
Section: debug
Priority: extra
Depends: netams (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the NeTAMS
 This package includes the debugging symbols for NeTAMS.

Package: netams-web
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2|httpd-cgi, libcrypt-generatepassword-perl, libgd-gd2-perl
Recommends: libdbd-mysql-perl|libdbd-pg-perl
Suggests: netams
Description: NetAMS's web-interface
 NeTAMS stands for Network Traffic Accounting and Monitoring Software.
 It is built for UNIX and works for networks with Cisco routers or PC
 Unix routers (Linux/FreeBSD/Solaris). Several methods of traffic
 gathering are supported (tee/divert/ip_queue/libpcap/ulog/netflow v5
 and v9/netgraph), database storage (BerkleyDB/MySQL/PostgresSQL/
 Oracle/Radius), aggregation, visualization, notification etc. It is
 possible to block traffic based on quotas, web authorization, account
 balance (billing); manage bandwidth, MAC assignmant violations, RADIUS
 services, create a flexible accounting and filtering policies.
 .
 This package contain admin and user web-interface for netams server.
