=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/buildcore.mk

common-build-arch::
	test -f src/versions_build.c.upstream || cp src/versions_build.c src/versions_build.c.upstream
	make
	cp addon/.netamsctl.rc addon/netamsctl.rc
	cp cgi-bin/admin/config.cgi cgi-bin/admin/admin-config.cgi
	chmod 644 addon/netamsctl.rc

clean::
	make distclean
	rm -f src/versions_build_local.dat addon/netamsctl.rc
	rm -f cgi-bin/admin/admin-config.cgi
	test ! -f src/versions_build.c.upstream || mv -f src/versions_build.c.upstream src/versions_build.c

binary-post-install/netams::
	chmod 644 debian/netams/usr/share/netams/*
	find debian/netams/usr/share/doc/netams/examples -type f -exec chmod 644 {} \;

binary-post-install/netams-web::
	find debian/netams-web/usr/share/netams-web/ -type f -exec chmod 644 {} \;
	find debian/netams-web/usr/share/netams-web/ -type f \( -name '*.cgi' -o -name '*.pl' \) -exec chmod 755 {} \;
	rm debian/netams-web/usr/share/netams-web/admin/admin-config.cgi
	rm debian/netams-web/usr/share/netams-web/admin/*.sql

cvsimport:
	git checkout upstream
	git-cvsimport -a -k -d :pserver:netams@netams.netams.com:/netams/cvs -r cvs netams
	git checkout master
