=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 2 file
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
  http://www.netams.com/download.html files/netams-([0-9.rcbeta]*).tar.gz
