## netams 3.4.5

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,9 @@
 #***     located at http://www.netams.com
 #***
 #*************************************************************************/
-#/* $Id: Makefile,v 1.98 2009-08-01 09:23:54 anton Exp $ */
+#/* $Id: Makefile,v 1.101 2010-01-13 18:47:19 anton Exp $ */
 
-RELEASE=3.4.3
+RELEASE=3.4.5
 
 include Rules.make
 
@@ -40,8 +40,8 @@
 	$(INSTALL) -m 755 cgi-bin/admin/*.cgi cgi-bin/admin/*.tmpl cgi-bin/admin/*.res $(PATH_TO_WWW)/cgi-bin/admin
 	$(INSTALL) -m 644 cgi-bin/admin/.htaccess $(PATH_TO_WWW)/cgi-bin/admin
 	$(INSTALL) -m 644 cgi-bin/images/*.gif cgi-bin/images/*.jpg $(PATH_TO_WWW)/images
-	$(INSTALL) -m 644 addon/index.html $(PATH_TO_WWW)
-	$(INSTALL) -m 644 addon/netams-apache $(PATH_TO_ETC)/netams-apache
+	$(INSTALL) -m 644 addon/index.html addon/netams.js $(PATH_TO_WWW)
+	$(INSTALL) -m 644 addon/netams-apache $(PATH_TO_ETC)/netams-apache.conf
 
 install: all webinstall
 	$(INSTALL) src/netams $(DAEMONDIR)
