=== lib/Makefile ===
# $Id: Makefile,v 1.5 2006-05-24 07:09:06 jura Exp $

include ../Rules.make

CC	= gcc
FLAGS  += -pipe -O2
CFLAGS  = $(FLAGS) -I../src -I./ $(DEFINE)
NLIB   += libcli libnetams
LIB     = $(NLIB:=.a)

library: $(LIB)

libcli.a:
	$(CC) $(CFLAGS) -Wno-format-zero-length -I./libcli -c libcli/libcli.c
	ar rc libcli.a libcli.o

libradius.a:
	$(CC) $(CFLAGS) -I ../src -I./radlib -c radlib/radlib.c
	ar rc libradius.a radlib.o

libipulog.a:
	$(CC) $(CFLAGS) -I./libipulog/include -c libipulog/libipulog.c
	ar rc libipulog.a libipulog.o

libnetams.a:
	$(CC) $(CFLAGS) -c lib.c
	ar rc libnetams.a lib.o $(OBJ)

cleanlibrary:
	rm -rf *.o *.a

clean: cleanlibrary
