=== addon/rlm_netams/Makefile ===
#######################################################################
# This is FreeRADIUS loadable interface module for NeTAMS project
# See README file in this folder for instructions
# $Id: Makefile,v 1.1 2005-04-02 00:28:21 anton Exp $
#######################################################################
TARGET      = rlm_netams
SRCS        = rlm_netams.c
# RLM_CFLAGS  =  -I/usr/include
# RLM_LIBS    =  -lc
# RLM_INSTALL = 

include ../rules.mak

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS)
