=== lib/libipulog/Makefile ===
# Generated automatically from Makefile.in by configure.
#

include ../../Rules.make
CC = gcc
CFLAGS+=-Iinclude -I/usr/src/linux/include -I../

libipulog.a: libipulog.o
	$(LD) -i $< -o $@

distrib:

ulog_test: ulog_test.c libipulog.a
	$(CC) $(CFLAGS) ulog_test.c libipulog.a -o ulog_test

libipulog.o: libipulog.c
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	$(RM) ulog_test libipulog.o libipulog.a

distclean: clean
	$(RM) Makefile

install: libipulog.a
