=== debian/changelog ===
netams (3.4.5-2ubuntu3) precise-proposed; urgency=low

  * debian/patches/16_fix_mysql_load_data.patch: fix errors with usage
    of mysql's statement "LOAD DATA LOCAL INFILE". (LP: #1060320)

 -- Dmitriy Alexandrov <d06alexandrov@gmail.com>  Sun, 05 Aug 2012 15:45:07 +0400

netams (3.4.5-2ubuntu2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:58:46 -0800

netams (3.4.5-2ubuntu1) natty; urgency=low

  * debian/Rules.make: search libraries and includes in multiarch 
    directorys,too (LP: #755991)

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 10 Apr 2011 03:19:51 +0200

netams (3.4.5-2) unstable; urgency=low

  * debian/Rules.make: Add -lcrypto to fix FTBFS with binutils-gold.
  * debian/netams.postinst: Fix some sed magic in netams.conf
    processing.
  * debian/control: Standards version updated.
  * Vietnamese translation added. Closes: #576026. Thanks to Clytie
    Siddall.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 24 Jul 2010 16:37:01 +0400

netams (3.4.5-1) unstable; urgency=low

  * debian/rules: git-cvsimport -> git cvsimport
  * Imported Upstream version 3.4.5
  * debian/copyright: "Happy New Year!" changes :)
  * debian/control: standard's version updated, no changes needed.
  * debian/patches/05_manpage_whatis.diff removed: fixed upstream.
  * debian/patches/11_umask.diff refreshed.
  * debian/watch: version divert removed.
  * debian/Rules.make Fix FTBFS on kfreebsd.
  * Add 14_fix_pthread.diff: fix incorrect usage of
    pthread_cleanup_pop(). Fixes FTBFS on kfreebsd.
  * Add 15_fix_ftbfs_kfreebsd.diff: fixes FTBFS on kfreebsd.
  * debian/Rules.make: removed some duplicate entries.
  * Install ipfw2netflow and ascii2netflow if exists.
  * Install netams.js to netams-web.
  * debian/control: Depend on libmysqlclient-dev instead of
    libmysqlclient15-dev.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 06 Jul 2010 03:29:43 +0400

netams (3.4.3+dfsg1-4) unstable; urgency=low

  * debian/copyright: typo fixed.
  * debian/control: fix spelling and typos. Thanks Josh Triplett.
    (Closes: #559100)
  * debian/control: fix arch specific build-depends to libnetfilter-
    queue-dev [!kfreebsd-i386 !kfreebsd-amd64], libnetgraph-dev
    [kfreebsd-i386 kfreebsd-amd64].
  * debian/control: netams-web should go to extra, because of depends.
  * debian/control: netams-web: add missing depends on dbconfig-common
    (Closes: #566569).
  * Remove patches for ./configure.sh and use preconfigured
    debian/Rules.make instead of configure script.
  * debian/netams.init.d: $remote_fs added into dependences (thanks to
    lintian).
  * Description and debconf templates updated. Closes: #565127. Thanks
    to l10n-en guys.
  * Czech translation added. Closes: #565640. Thanks to Michal Simunek.
  * Swedish translation added. Closes: #565689. Thanks to Martin Bagge.
  * German translation added. Closes: #563405. Thanks to Thomas Mueller.
  * Russian translation added. Closes: #563180. Thanks to Yuri Kozlov.
  * Italian translation added. Closes: #566156. Thanks to Vincenzo
    Campanella.
  * French translation added. Closes: #566710. Thanks to Julien
    Patriarca.
  * Spanish translation added. Closes: #567454. Thanks to Francisco
    Javier Cuadrado.
  * Portuguese translation added. Closes: #563378. Thanks to Miguel
    Figueiredo.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 14 Feb 2010 03:22:52 +0300
