=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 common-build-arch::
 	test -f src/versions_build.c.upstream || cp src/versions_build.c src/versions_build.c.upstream
+	cp debian/Rules.make .
 	make
 	cp addon/.netamsctl.rc addon/netamsctl.rc
 	cp cgi-bin/admin/config.cgi cgi-bin/admin/admin-config.cgi
@@ -18,6 +19,7 @@
 
 binary-post-install/netams::
 	chmod 644 debian/netams/usr/share/netams/*
+	test ! -f src/ipfw2netflow || cp src/ipfw2netflow debian/netams/usr/sbin
 	find debian/netams/usr/share/doc/netams/examples -type f -exec chmod 644 {} \;
 
 binary-post-install/netams-web::
@@ -28,5 +30,5 @@
 
 cvsimport:
 	git checkout upstream
-	git-cvsimport -a -k -d :pserver:netams@netams.netams.com:/netams/cvs -r cvs netams
+	git cvsimport -a -k -d :pserver:netams@netams.netams.com:/netams/cvs -r cvs netams
 	git checkout master
