=== debian/watch ===
--- 
+++ 
@@ -5,5 +5,5 @@
 
 # Compulsory line, this is a version 2 file
 version=3
-opts=dversionmangle=s/\+dfsg\d+$// \
+#opts=dversionmangle=s/\+dfsg\d+$// \
   http://www.netams.com/download.html files/netams-([0-9.rcbeta]*).tar.gz
